List hosts metrics

GET/v1/metrics/hosts

A GET request to the /v1/metrics/hosts endpoint will provide you with metrics in the OpenMetrics format. Read more in our knowledge base.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

text/plain

application/json

curl -X GET "https://example.com/v1/metrics/hosts"
"# HELP: serverscom_hosts_count Count of the hosts\n# TYPE: serverscom_hosts_count gauge\nserverscom_hosts_count{chassis_name=\"chassis-9305\",host_type=\"dedicated_server\",location_id=\"659\",location_code=\"location1362\",rack_id=\"APdRMzbG\",rack_type=\"shared\"} 1\nserverscom_hosts_count{chassis_name=\"chassis-9306\",host_type=\"dedicated_server\",location_id=\"660\",location_code=\"location1364\",rack_id=\"y5eV5BdE\",rack_type=\"shared\"} 1\nserverscom_hosts_count{chassis_name=\"chassis-9307\",host_type=\"dedicated_server\",location_id=\"661\",location_code=\"location1366\",rack_id=\"lNbWw4by\",rack_type=\"shared\"} 1\n\n# HELP: serverscom_host_monthly_sent_bytes_total Host monthly sent bytes total\n# TYPE: serverscom_host_monthly_sent_bytes_total counter\nserverscom_host_monthly_sent_bytes_total{host_id=\"ELe39nb6\",title=\"title348\",traffic_type=\"public\",chassis_name=\"chassis-9305\",host_type=\"dedicated_server\",location_id=\"659\",location_code=\"location1362\",rack_id=\"APdRMzbG\",rack_type=\"shared\"} 73046562974\nserverscom_host_monthly_sent_bytes_total{host_id=\"ELe39nb6\",title=\"title348\",traffic_type=\"private\",chassis_name=\"chassis-9305\",host_type=\"dedicated_server\",location_id=\"659\",location_code=\"location1362\",rack_id=\"APdRMzbG\",rack_type=\"shared\"} 807145150384\nserverscom_host_monthly_sent_bytes_total{host_id=\"GRb490dB\",title=\"title349\",traffic_type=\"public\",chassis_name=\"chassis-9306\",host_type=\"dedicated_server\",location_id=\"660\",location_code=\"location1364\",rack_id=\"y5eV5BdE\",rack_type=\"shared\"} 26020641225\nserverscom_host_monthly_sent_bytes_total{host_id=\"GRb490dB\",title=\"title349\",traffic_type=\"private\",chassis_name=\"chassis-9306\",host_type=\"dedicated_server\",location_id=\"660\",location_code=\"location1364\",rack_id=\"y5eV5BdE\",rack_type=\"shared\"} 492729758060\nserverscom_host_monthly_sent_bytes_total{host_id=\"M7e5WZb2\",title=\"title350\",traffic_type=\"public\",chassis_name=\"chassis-9307\",host_type=\"dedicated_server\",location_id=\"661\",location_code=\"location1366\",rack_id=\"lNbWw4by\",rack_type=\"shared\"} 707768068796\nserverscom_host_monthly_sent_bytes_total{host_id=\"M7e5WZb2\",title=\"title350\",traffic_type=\"private\",chassis_name=\"chassis-9307\",host_type=\"dedicated_server\",location_id=\"661\",location_code=\"location1366\",rack_id=\"lNbWw4by\",rack_type=\"shared\"} 963761865309\n\n# HELP: serverscom_host_monthly_received_bytes_total Host monthly received bytes total\n# TYPE: serverscom_host_monthly_received_bytes_total counter\nserverscom_host_monthly_received_bytes_total{host_id=\"ELe39nb6\",title=\"title348\",traffic_type=\"public\",chassis_name=\"chassis-9305\",host_type=\"dedicated_server\",location_id=\"659\",location_code=\"location1362\",rack_id=\"APdRMzbG\",rack_type=\"shared\"} 745078823208\nserverscom_host_monthly_received_bytes_total{host_id=\"ELe39nb6\",title=\"title348\",traffic_type=\"private\",chassis_name=\"chassis-9305\",host_type=\"dedicated_server\",location_id=\"659\",location_code=\"location1362\",rack_id=\"APdRMzbG\",rack_type=\"shared\"} 625250922210\nserverscom_host_monthly_received_bytes_total{host_id=\"GRb490dB\",title=\"title349\",traffic_type=\"public\",chassis_name=\"chassis-9306\",host_type=\"dedicated_server\",location_id=\"660\",location_code=\"location1364\",rack_id=\"y5eV5BdE\",rack_type=\"shared\"} 690483428701\nserverscom_host_monthly_received_bytes_total{host_id=\"GRb490dB\",title=\"title349\",traffic_type=\"private\",chassis_name=\"chassis-9306\",host_type=\"dedicated_server\",location_id=\"660\",location_code=\"location1364\",rack_id=\"y5eV5BdE\",rack_type=\"shared\"} 161075251871\nserverscom_host_monthly_received_bytes_total{host_id=\"M7e5WZb2\",title=\"title350\",traffic_type=\"public\",chassis_name=\"chassis-9307\",host_type=\"dedicated_server\",location_id=\"661\",location_code=\"location1366\",rack_id=\"lNbWw4by\",rack_type=\"shared\"} 445749475407\nserverscom_host_monthly_received_bytes_total{host_id=\"M7e5WZb2\",title=\"title350\",traffic_type=\"private\",chassis_name=\"chassis-9307\",host_type=\"dedicated_server\",location_id=\"661\",location_code=\"location1366\",rack_id=\"lNbWw4by\",rack_type=\"shared\"} 930145757305\n"
{  "message": "Unauthorized",  "code": "UNAUTHORIZED"}